// main.scss

@import 'variables';

body{
  margin: 0;
}

main{
  margin: $spacing-medium;
}

// Header styles
header {
  background-color: $primary-color;
  padding: $spacing-medium;
  color: white;
  display: flex;
  align-items: center;
  justify-content: space-between;

  .brand {
    display: flex;
    align-items: center;
    font-size: 1.5rem;
    font-weight: bold;
    text-transform: uppercase;
    .logo{
      margin-right: .5rem;
    }
  }

  nav {
    ul {
      list-style: none;
      padding: 0;
      margin: 0;

      li {
        display: inline-block;
        margin-left: $spacing-medium;

        a {
          color: white;
          text-decoration: none;
          transition: color 0.3s ease;

          &:hover {
            color: darken($primary-color, 10%);
          }
        }
      }
    }
  }
}

// Search bar styles
.search-bar {
  display: flex; 
  margin-bottom: $spacing-medium;

  input[type='text'] {
    flex: 9; 
    padding: $spacing-small;
    font-size: 1rem;
    border: 1px solid $secondary-color;
    border-radius: 4px;
    margin-right: $spacing-small; 
  }

  button {
    flex: 1; 
    padding: $spacing-small $spacing-medium;
    font-size: 1rem;
    background-color: $primary-color;
    color: white;
    border: none;
    border-radius: 4px;
    cursor: pointer;
    transition: background-color 0.3s ease;

    &:hover {
      background-color: darken($primary-color, 10%);
    }
  }
}


// Loader styles
.loader {
  text-align: center;
  margin-top: $spacing-large;

  p {
    font-size: 1rem;
    color: $text-color;
  }
}

// Article list styles
.article-list {
  display: grid;
  grid-template-columns: repeat(auto-fill, minmax(300px, 1fr));
  gap: $spacing-large;
}

// Article card styles
.article-card {
  background-color: white;
  padding: $spacing-medium;
  box-shadow: 0 0 5px rgba(0, 0, 0, 0.1);
  border-radius: 4px;
  border-right: solid $secondary-color;
  display: flex;
  flex-direction: column;
  justify-content: space-between;

  h2 {
    font-size: 1.2rem;
    margin-bottom: $spacing-small;
  }

  p {
    color: $text-color;
    font-size: 1rem;
    margin-bottom: $spacing-small;
    word-break: break-word;
  }

  .author-label {
    color: $primary-color;
  }

  .date-label{
    opacity: .6;
    font-size: .9rem;
  }
}

// Filter options styles
.filter-options {
  margin-bottom: $spacing-medium;
  display: flex;
  align-items: center;
  // justify-content: center; // Center the buttons horizontally by default
  justify-content: space-between; // Center the buttons horizontally by default
  
  button {
    border-top-left-radius: 6rem;
    border-bottom-right-radius: 6rem;
    width: 8rem;
    margin: 0 $spacing-small;

    padding: 8px 16px;
    font-size: 14px;
    background-color: white;
    color: $primary-color;
    border: 1px solid $primary-color;
    cursor: pointer;
    transition: background-color 0.3s ease;

    &:hover {
      background-color: $primary-color;
      color: white;
    }

    &:disabled {
      opacity: 0.5;
      cursor: not-allowed;
    }
  }

  @media screen and (max-width: 1024px) {
    flex-direction: column; // Stack the buttons vertically for tablets

    button {
      width: auto;
      // width: 100%;
      margin: $spacing-small 0; // Add margin between buttons in the vertical layout
    }
  }

  @media screen and (max-width: 768px) {
    flex-direction: column; // Stack the buttons vertically for tablets

    button {
      width: auto;
      // width: 100%;
      margin: $spacing-small 0; // Add margin between buttons in the vertical layout
    }
  }

  @media screen and (max-width: 480px) {
    // Adjust styles for smaller screens (mobile)
    button {
      width: 100%; // Make buttons fill the width of the container
    }
  }
}

.filter-options button.selected{
  background-color: $primary-color;
  color: white;
}

.floating-button {
  position: fixed;
  bottom: 20px;
  right: 20px;
  z-index: 1000;
  background-color: $primary-color;
  color: white;
  border: none;
  border-radius: 50%;
  width: 50px;
  height: 50px;
  cursor: pointer;
  transition: opacity 0.3s ease;
  opacity: 0;
}

.floating-button.visible {
  opacity: 1;
}

// Add styling for source-filter
.source-filter {

  select {
    padding: 8px 12px; 
    font-size: 14px; 
    border: 1px solid $secondary-color; 
    border-radius: 4px; 
    background-color: white; 
    color: $text-color; 
    cursor: pointer; 
    transition: border-color 0.3s ease; 

    &:hover {
      border-color: $primary-color; 
    }

    &:focus {
      outline: none; 
      border-color: $primary-color; 
    }
  }
}

.pagination {
  display: flex;
  align-items: center;
  justify-content: center;
  margin-top: 20px; 
}

.pagination button {
  border-top-left-radius: 6rem;
  border-bottom-right-radius: 6rem;
  width: 6rem;

  padding: 8px 16px; 
  font-size: 14px; 
  background-color: $primary-color;
  color: white;
  border: none;
  cursor: pointer;
  transition: background-color 0.3s ease;

  &:hover {
    background-color: darken($primary-color, 10%);
  }

  &:disabled {
    opacity: 0.5; 
    cursor: not-allowed;
  }
}

.pagination span {
  margin: 0 16px; 
  font-size: 1.2rem; 
  color: $text-color;
}


